Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
celo
/
epochs
/
{number}
Get Celo epoch details.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/celo/epochs/{number} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/celo/epochs/{number}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/celo/epochs/{number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "aggregated_election_rewards": {},
  "distribution": {},
  "end_block_number": 1,
  "end_processing_block_hash": "<string>",
  "end_processing_block_number": 1,
  "is_finalized": true,
  "number": 1,
  "start_block_number": 1,
  "start_processing_block_hash": "<string>",
  "start_processing_block_number": 1,
  "timestamp": "2023-11-07T05:31:56Z"
}
{
"message": "Resource not found"
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

number
string
required

Epoch number in the path.

Pattern: ^-?([1-9][0-9]*|0)$
chain_id
string
required

The ID of the blockchain

Response

Celo epoch details.

Celo epoch summary.

aggregated_election_rewards
object | null
required
distribution
object | null
required
end_block_number
integer
required
Required range: x >= 0
end_processing_block_hash
string | null
required
Pattern: ^0x([A-Fa-f0-9]{64})$
end_processing_block_number
integer | null
required
Required range: x >= 0
is_finalized
boolean
required
number
integer
required
Required range: x >= 0
start_block_number
integer
required
Required range: x >= 0
start_processing_block_hash
string | null
required
Pattern: ^0x([A-Fa-f0-9]{64})$
start_processing_block_number
integer | null
required
Required range: x >= 0
timestamp
string<date-time> | null
required
type
enum<string>
required
Available options:
L1,
L2